Create Connection
curl --request POST \
--url https://api.duvo.ai/v2/teams/{teamId}/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"provider": "user",
"server_url": "<string>",
"type": "custom_mcp",
"custom_integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"headers": {
"plaintext": {},
"secret": {}
}
}
'import requests
url = "https://api.duvo.ai/v2/teams/{teamId}/connections"
payload = {
"name": "<string>",
"provider": "user",
"server_url": "<string>",
"type": "custom_mcp",
"custom_integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"headers": {
"plaintext": {},
"secret": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
provider: 'user',
server_url: '<string>',
type: 'custom_mcp',
custom_integration_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
headers: {plaintext: {}, secret: {}}
})
};
fetch('https://api.duvo.ai/v2/teams/{teamId}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"provider": "<string>",
"user_id": "<string>",
"team_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"server_url": "<string>",
"auth_method": "<string>",
"custom_integration_id": "<string>",
"icon_url": "<string>",
"oauth_provider": "<string>",
"oauth_provider_key": "<string>",
"oauth_scopes": [
"<string>"
],
"has_headers": true,
"has_oauth_tokens": true,
"integration_id": "<string>",
"shared": true,
"created_by": "<string>",
"broken_at": "2023-11-07T05:31:56Z",
"broken_reason": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Connections
Create Connection
Create a new user-provided connection (custom MCP server) for the current team. OAuth-based integrations (native) require an interactive browser flow — start them with the dedicated OAuth endpoints (/v2/teams/:team_id/connections/oauth/native/:provider/start or /v2/teams/:team_id/connections/oauth/mcp/start) instead of calling this endpoint directly.
POST
/
v2
/
teams
/
{teamId}
/
connections
Create Connection
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Body
application/json
Response
Default Response
Available options:
stdio, sse, http Was this page helpful?
⌘I